Page MenuHomePhabricator

TranslateRenderJob.php: Oops, this should not happen!
Closed, ResolvedPublic

Description

2013-11-25 15:58:38 mw1013 mediawikiwiki: [341bb6e2] [no req] Exception from line 46 of /usr/local/apache/common-local/php-1.23wmf5/extensions/Translate/tag/TranslateRenderJob.php: Oops, this should not happen!
#0 /usr/local/apache/common-local/php-1.23wmf5/maintenance/runJobs.php(101): TranslateRenderJob->run()
#1 /usr/local/apache/common-local/php-1.23wmf5/maintenance/doMaintenance.php(113): RunJobs->execute()
#2 /usr/local/apache/common-local/php-1.23wmf5/maintenance/runJobs.php(181): require_once('/usr/local/apac...')
#3 /usr/local/apache/common-local/multiversion/MWScript.php(97): require_once('/usr/local/apac...')
#4 {main}

By the timings of this.. I think it was a result of me marking a few help pages on mediawiki.org for translation...


Version: master
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=46716

Details

Reference
bz57541
Related Gerrit Patches:
mediawiki/extensions/Translate : masterFix check
mediawiki/extensions/Translate : masterFix one instance of 'MWException' with message 'Oops, this should not happen!'
mediawiki/extensions/Translate : masterFix uncaught exception when moving documentation unit of translatable page

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:15 AM
bzimport set Reference to bz57541.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Nov 25 2013, 4:01 PM

I propose changing the text from "this should not happen" to "this must not happen" ;)

Honestly though, it should not happen.

(In reply to Sam Reed (reedy) from comment #0)

By the timings of this.. I think it was a result of me marking a few help
pages on mediawiki.org for translation...

It's not surprising then that marking pages for translation usually fails. Cf. https://bugzilla.wikimedia.org/show_bug.cgi?id=46716#c29
We really need to have more useful output.

demon set Security to None.
Stryn added a comment.EditedFeb 28 2015, 2:32 PM

@Stryn did you test if this exception is reproducible?

Yes, I tried it again, and it seems occurring only in the "Translation" namespace.
I tried the same in the "CNBanner" namespace and didn't get any errors.

When I try on my development instance I only get some warnings:

Notice: WikiPage::doPurge: Explicit commit of implicit transaction. Something may be out of sync! [Called from DatabaseBase::commit in /www/dev.translatewiki.net/docroot/w/includes/db/Database.php at line 3688] in /www/dev.translatewiki.net/docroot/w/includes/debug/MWDebug.php on line 300

Notice: WikiPage::doPurge: No transaction to commit, something got out of sync! [Called from DatabaseBase::commit in /www/dev.translatewiki.net/docroot/w/includes/db/Database.php at line 3685] in /www/dev.translatewiki.net/docroot/w/includes/debug/MWDebug.php on line 300

Okay, it only happens for qqq.

Change 193584 had a related patch set uploaded (by Nikerabbit):
Fix uncaught exception when moving documentation unit of translatable page

https://gerrit.wikimedia.org/r/193584

Change 193584 merged by jenkins-bot:
Fix uncaught exception when moving documentation unit of translatable page

https://gerrit.wikimedia.org/r/193584

greg added a subscriber: greg.Mar 6 2015, 11:07 PM

Change 193584 merged by jenkins-bot:
Fix uncaught exception when moving documentation unit of translatable page
https://gerrit.wikimedia.org/r/193584

that patch is now merged, is this issue resolved?

Nikerabbit closed this task as Resolved.Mar 7 2015, 9:54 AM

I don't know where in earth I should be looking to see the logs, but I didn't find any of these in logstash.

Change 213232 had a related patch set uploaded (by Nemo bis):
Fix one instance of 'MWException' with message 'Oops, this should not happen!'

https://gerrit.wikimedia.org/r/213232

Change 213232 merged by jenkins-bot:
Fix one instance of 'MWException' with message 'Oops, this should not happen!'

https://gerrit.wikimedia.org/r/213232

Change 274897 had a related patch set uploaded (by Siebrand):
Fix check

https://gerrit.wikimedia.org/r/274897

Change 274897 merged by jenkins-bot:
Fix check

https://gerrit.wikimedia.org/r/274897

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:12 PM